{  : 2008 PoleSoft Technologies Group                         }
{               http://www.polesoft.ru                                   }
unit IWResourceStrings;

interface

{$I rdelphirus.inc}

const
  EOL = #13#10;

var
  RSOK: string;
  RSPermissionDEnied: string;
  RSShowMessageNotSupported: string;
  RSSecureModeRequired: string;
  RSNonSecureModeRequired: string;
  RSAppStartedAndListening: string;
  RSNotSupportedDuringPartialUpdate: String;
  RSWebApplicationRequiered: String;
  RSOptionsMenuCaption: String;
  RSDeviceSimulationMenuCaption: string;
  RSHTML32Caption: String;
  RSWMLCaption: string;
  RSXHTMLMPCaption: string;
  RSWMLHint: string;
  RSXHTMLMPHint: string;
  RSHTML32Hint: String;
  RSUnknownClientType: String;
  RSCannotShowNonAppForms: String;
  RSCannotHideNonAppForms: String;
  RSCannotReleaseNonAppForms: String;
  RSUnknownBrowserType: String;
  RSMustBeAppForm: String;
  RSPersonalLimitation: String;
  RSWrongIPForSession: String;
  RSWrongBrowserForSession: String;
  RSWrongSubnetForSession: string;
  RSClientSideInEnterprise: String;
  RSValidationRequeredField: String;
  RSInvalidComponentName: String;
  RSDroppedConnection: String;
  RSNotFound: String;
//  RSWarningNonIntraWeb: String;
//  RSWarning32Control: string;
//  RSWarning40Control: string;
//  RSWarningWAPControl: string;
  RSNoSubmitComponent: String;
  RSNoSubmitHandler: String;
  RSInvalidFunction: String;
  RSInvalidHeight: String;
  RSInvalidWidth: String;
  RSIndexOutOfBounds: String;
  RSNoServerController: String;
  RSSessionNotFound: String;
{$IFDEF D10_}
  RSSessionAlreadyLocked: String;
{$ENDIF}
  RSNotForThisProcess: String;
  RSRefreshWarning: String;
  RSResourceNotFound: String;
  RSNoMainForm: String;
  RSDeviceNotSupported: string;
  RSNoServerControllerClass: String;
{$IFDEF D10_}
  RSIWInitMissing: String;
{$ENDIF}
  RSUnknownSessionMethod: String;
  RSInvalidBrowser: String;
  RSMessageDialog: String;
  RSColorRed: String;
  RSColorBlue: String;
  RSColorGreen: String;
  RSColorYellow: String;
  RSColorBrown: String;
  RSTextError: String;
  RSCannotReceiveFocus: string;
  RSErrorCreatingSession: string;
  // Browsers
  RSUnknowBrowser: String;
  RSIE: String;
  RSNS6Gecko: String;
  RSNS7Gecko: String;
  RSOpera: String;
  RSUnrecognizable: String;
  RSSafari: String;
  RSNS4: string;
  RSWAP: string;
  RSOther: string;
  RSHTML32Test: string;
  RSWMLTest: string;
  RSXHTMLMPTest: string;
  RSNoCookieSupport: String;
  RSNoJSSupport: string;
  //
  RSCantFindInternalFile: String;
  RSExecuteError: String;
  // Standalone Log messages
  RSIWVersion: String;
  RSHTTPPort: String;
  RSHTTPSPort: String;
  RSBindError: String;
  RSLicenseNumber: String;
  // Navigator buttons
  RSbtnNameFirst: String;
  RSbtnNamePrior: String;
  RSbtnNameNext: String;
  RSbtnNameLast: String;
  RSbtnNameInsert: String;
  RSbtnNameDelete: String;
  RSbtnNameEdit: String;
  RSbtnNamePost: String;
  RSbtnNameCancel: String;
  RSbtnNameRefresh: String;

  // DB package
  RSUnsupportedFieldType: String;
  RSNoRefereshWhileInEdit: String;
  RSInvalidResponse: String;
  RSDeleteMessage: String;
  RSUpdateMessage: String;
  RSCancelMessage: String;
  // Design time
  RSInvalidSessionTimeout: string;
  RSEmptyWorkAreaPath: String;
  RSFormPreviewError: String;
  RSHTMLEditorError: String;
  RSIE55OrLater: String;
  RSScriptEditorCaption: String;
  RSScriptEditorEvent: String;
  RSScriptEditorCode: String;
  RSOKButton: String;
  RSCancelButton: String;
  RSApplyButton: String;
  // TreeVew designer
  RSNewRoot: String;
  RSNewItem: String;
  RSDeleteItem: String;
  RSEditCaption: String;
  RSMsgDeleteItem: String;
  // Run-time only units not part of any of the packages
  RSApacheDSOError: String;
  RSISAPIError: String;
  RSStandaloneError: String;
  RSAuthFailed: String;
  RSToolBarError: String;
  RSRedirecting: String;

  RSCanUseIWControlOnVCLForm: String;
  RS4On32Form: String;
  RS32On4Form: String;

  RSDublicateEventHandler: String;
  RSMetaFileNotSupported: String;
  RSLoadImageError: String;
  RSUnrecognizedCommand: String;
  RSLayoutMgrNeeded32: String;
  // Log Messages
  RSLogExecute: String;
  RSLogCacheFile: String;
  RSLogInternalGraphic: String;
  RSLogJavaScript: String;
  RSLogNewSession: String;
  RSLogExternalFile: String;
  RSLogExplicitStop: String;
  RSLogUnrecognizedCommand: String;
  RSLogActiveSessions: String;
  RSLogTotalBytes: string;
  RSLogResizeCommand: String;
  RSLogUpdateCommand: String;
  // IWMain
  RSClearSessionsCaption: String;
  RSClearSessionsHint: String;
  RSCopyClipboardCaption: String;
  RSCopyClipboardHint: String;
  RSShowDebugInfoCaption: String;
  RSShowDebugInfoHint: String;
  RSExitCaption: String;
  RSExitHint: String;
  RSExecuteCaption: String;
  RSExecuteHint: String;
  RSExecuteDefaultCaption: String;
  RSExecuteDefaultHint: String;
  RSExecuteIECaption: String;
  RSExecuteIEHint: String;
  RSExecuteMozillaCaption: String;
  RSExecuteMozillaHint: String;
  RSExecuteFirefoxCaption: String;
  RSExecuteFirefoxHint: String;
  RSExecuteNS6Caption: String;
  RSExecuteNS6Hint: String;
  RSExecuteOperaCaption: String;
  RSExecuteOperaHint: String;
  RSUseSSLCaption: String;
  RSUseSSLHint: String;
  RSParamCaption: String;
  RSParamHint: String;
  RSAboutCaption: String;
  RSAboutHint: String;
  RSFileMenuCaption: String;
  RSRunMenuCaption: String;
  RSSelectBrowserCaption: String;
  RSHelpCaption: String;
  RSToolBarCaption: String;
  RSUseParamQueryTitle: String;
  RSUseParamQueryPrompt: String;
  RSCanSetControlToSelf: String;
  RSSelectionRequired: String;
  RSConnectionSpeedCaption: string;
  RSIncorrectSpeed: string;
  RSSimulSpeed: string;
  RSConnectionSpeed: string;
  // IWCompress
  RSZLibNotFound: string;
  RSWrongZLibVer: string;
  // Calendar
  RSToday: string;
  RSPrevious: string;
  RSNext: string;
  // Desinger menu items
  rsEditHTML: string;
  rsPreviewHTML: string;

  // TimeEdit
  RSInvalidTimeEditFormat: string;

  RSMissingContainerOnFrame : string; // Display this when there's no container on a TFrame

  RSLogCSSRequest: string;

  // Error messages
  RSExceptionSessionExpired : string;
  RSExceptionOther : string;
{$IFDEF D10_}
  RSTrappedException: string;
{$ENDIF}

implementation

resourcestring
  Ok = 'Ok';
  PermissionDenied = ' ';
  ShowMessageNotSupported = 'ShowMessage  ';
  SecureModeRequired = '     .';
  NonSecureModeRequired = '     .';
  AppStartedAndListening = '    : ';
  NotSupportedDuringPartialUpdate = '       .';
  WebApplicationRequiered = 'WebApplication     .';
  TerminateAndRedirectMsg = ',  .';
  OptionsMenuCaption = '&';
  DeviceSimulationMenuCaption = '& ';
  HTML32Caption = 'HTML 3.2';
  WMLCaption = 'WML';
  XHTMLMPCaption = 'XHTML MP';
  HTML32Hint = 'Override      HTML 3.2.';
  WMLHint = 'Override      WML.';
  XHTMLMPHint = 'Override      XHTML MP';
  UnknownClientType = '  .';
  CannotShowNonAppForms = '   non-app .';
  CannotHideNonAppForms = '   non-app .';
  CannotReleaseNonAppForms = '   non-app .';
  UnknownBrowserType = '  .';
  MustBeAppForm = '    .';
  WrongIPForSession = ' :   IP   ,    .';
  WrongBrowserForSession = ' :      ,    .';
  WrongSubnetForSession = ' :   IP     ,    .';
  ValidationRequeredField = '%s -  .';
  SelectionRequired = '     %s.';
  InvalidComponentName = '"%s" -   .';
  DroppedConnection = '  ';
  NotFound = '%s  .';
//  WarningNonIntraWeb = 'Warning: You have added a Non-IntraWeb control. %s';
//  Warning32Control = 'Warning: You have added a 3.2 IntraWeb control to a non-3.2 Form. %s';
//  Warning40Control = 'Warning: You have added a 4.0 IntraWeb control to a non-4.0 Form. %s';
//  WarningWAPControl = 'Warning: You have added a WAP IntraWeb control to a non-WAP form. %s';
  NoSubmitComponent = '     (submit).';
  NoSubmitHandler = '   (submit) (%s)  .';
  InvalidFunction = '      .';
  InvalidHeight = '"%s" -  .';
  InvalidWidth = '"%s" -  .';
  IndexOutOfBounds = '   .';
  NoServerController = '    .';
  SessionNotFound = '  .    .';
{$IFDEF D10_}
  SessionAlreadyLocked = '  .';
{$ENDIF}
  NotForThisProcess = '     .';
  RefreshWarning = '       ,  '
         + '   ,      .'
         + EOL + EOL
         + ',    , .       '
         + '  .';
  ResourceNotFound = ' %s  .';
  NoMainForm = '   .';
  DeviceNotSupported = '  ';
  NoServerControllerClass = '   .';
{$IFDEF D10_}
  IWInitMissing = 'IW-   ( IWInit).';
{$ENDIF}
  UnknownSessionMethod = '   (tracking) ';
  InvalidBrowser = '    %s,    %s.' + EOL + '    :' + EOL;
  MessageDialog = ' ';
  ColorRed = 'red';
  ColorBlue = 'blue';
  ColorGreen = 'green';
  ColorYellow = 'yellow';
  ColorBrown = 'brown';
  TextError = ': ';
  CannotReceiveFocus = '    ';
  ErrorCreatingSession = '  ';
  // Browsers
  UnknowBrowser = '  ';
  IE = 'Internet Explorer';
  NS6Gecko = 'Netscape 6 (Gecko)';
  NS7Gecko = 'Netscape 7   (Gecko)';
  Opera = 'Opera';
  NS4 = 'Netscape 4';
  Other = '';
  HTML32Test = ' HTML 32';
  WMLTest = ' WML';
  WAP = '  WAP';
  XHTMLMPTest = ' XHTML MP';
  Safari = 'Safari';
  Unrecognizable = '  .';
  NoCookieSupport = ',     cookies   ';
  NoJSSupport = ',     JavaScript. , ,     ';

  //
  CantFindInternalFile = '    : %s';
  ExecuteError = ' %s   .';
  // Standalone Log messages
  IWVersion = ' Intraweb: %s';
  HTTPPort = 'HTTP : %s';
  HTTPSPort = 'HTTPS : %s';
  BindError = ':     .';
  LicenseNumber = ' : %s';
  // Navigator buttons
  btnNameFirst = ' ';
  btnNamePrior = '';
  btnNameNext = '';
  btnNameLast = ' ';
  btnNameInsert = '';
  btnNameDelete = '';
  btnNameEdit = '';
  btnNamePost = '';
  btnNameCancel = '';
  btnNameRefresh = '';

  // DB package
  UnsupportedFieldType = '    DBLink';
  NoRefereshWhileInEdit = '   ,       .';
  InvalidResponse = '%s -  .';
  DeleteMessage = ' ,     ?';
  UpdateMessage = ' ,     ?';
  CancelMessage = ' ,        ?';
  // Design time
  InvalidSessionTimeout = '  - .';
  EmptyWorkAreaPath = '    .';
  FormPreviewError = '    . ,   .';
  HTMLEditorError = '   HTML. ,   .';
  IE55OrLater = '    Internet Explorer 5.5  ';
  ScriptEditorCaption = '   IntraWeb';
  ScriptEditorEvent = '';
  ScriptEditorCode = '';
  OKButton = 'OK';
  CancelButton = '';
  ApplyButton = '&';
  // TreeVew designer
  NewRoot = ' & ';
  NewItem = '& ';
  DeleteItem = '& ';
  EditCaption = '& ';
  MsgDeleteItem = ' "%s"?';
  // Run-time only units not part of any of the packages
  ApacheDSOError = 'Apache DSO   .';
  ISAPIError = ' ISAPI   .';
  StandaloneError = 'Standalone   .exe';
  AuthFailed = ' .';
  ToolBarError = '     .';
  Redirecting = '...';

  CanUseIWControlOnVCLForm = ' IntraWeb      IntraWeb   Delphi';
  No4On32Form = ' 3.2      3.2';
  No32On4Form = ' 4.0      4.0';

  DublicateEventHandler = '     ,   ';
  MetaFileNotSupported = '  ';
  LoadImageError = '   ';
  UnrecognizedCommand = ' : ';
  LayoutMgrNeeded32 = ' HTML 3.2  layout manager. ,    ,' + EOL
  + '       Able   True';
  // Log Messages
  LogExecute = ': ';
  LogCacheFile = ' : ';
  LogInternalGraphic = ' : ';
  LogJavaScript = 'Javascript: ';
  LogNewSession = ' : ';
  LogExternalFile = ' : ';
  LogExplicitStop = ' : ';
  LogUnrecognizedCommand = ' : ';
  LogActiveSessions = ' : ';
  LogTotalBytes = ': ';
  LogResizeCommand = ' : ';
  LogUpdateCommand = ' : ';
  // IWMain
  ClearSessionsCaption = '& ';
  ClearSessionsHint = '   .';
  CopyClipboardCaption = '& URL   ';
  CopyClipboardHint = '  URL     .';
  ShowDebugInfoCaption = '&  ';
  ShowDebugInfoHint =  '      .';
  ExitCaption = '&';
  ExitHint = '     .';
  ExecuteCaption = '&';
  ExecuteHint = '     .';
  ExecuteDefaultCaption = '  &  ';
  ExecuteDefaultHint = '      .';
  ExecuteIECaption = '  &IE';
  ExecuteIEHint = ' Internet Explorer   .';
  ExecuteMozillaCaption = '  &Mozilla';
  ExecuteMozillaHint = ' Mozilla   .';
  ExecuteFirefoxCaption = '  &Firefox';
  ExecuteFirefoxHint = ' Firefox   .';
  ExecuteNS6Caption = '  &Netscape';
  ExecuteNS6Hint = ' Netscape   .';
  ExecuteOperaCaption = '  &Opera';
  ExecuteOperaHint = ' Opera   .';
  UseSSLCaption = ' SS&L';
  UseSSLHint = ' SS&L';
  ParamCaption = '&';
  ParamHint = '   .';
  AboutCaption = ' &';
  AboutHint = '   .';
  FileMenuCaption = '&';
  RunMenuCaption = '&';
  SelectBrowserCaption = ' ';
  HelpCaption = '&';
  ToolBarCaption = ' ';
  UseParamQueryTitle = ' URL';
  UseParamQueryPrompt = '   URL:';
  ConnectionSpeedCaption = '   ';
  IncorrectSpeed = '    (%s).';
  SimulSpeed = '  ';
  ConnectionSpeed = ' : ';

  CanSetControlToSelf = '       ';

  // IWCompress
  ZLibNotFound = 'zlib.dll          %s';
  WrongZLibVer = '  ZLib';

  // Calendar
  Today = '';
  Previous = '';
  Next = '';
  // Designer menu items
  EditHTML = '';
  PreviewHTML = '';

  // TimeEdit
  InvalidTimeEditFormat = ' %s  .' + EOL +  ',  .';

  MissingContainerOnFrame = '-  .';
  LogCSSRequest = 'CSS: ';

  // Errors
  ExceptionSessionExpired = '   .     .     ' +
      '      -    .   -   %d (%s).';
  ExceptionOther = '   ,     .';
{$IFDEF D10_}
  TrappedException = '  (%s) '#13#10'%s';
{$ENDIF}


initialization
  RSOk := OK;
  RSShowMessageNotSupported := ShowMessageNotSupported;
  RSSecureModeRequired := SecureModeRequired;
  RSNonSecureModeRequired := NonSecureModeRequired;
  RSAppStartedAndListening := AppStartedAndListening;
  RSNotSupportedDuringPartialUpdate := NotSupportedDuringPartialUpdate;
  RSWebApplicationRequiered :=   WebApplicationRequiered;
  RSOptionsMenuCaption :=        OptionsMenuCaption;
  RSDeviceSimulationMenuCaption :=   DeviceSimulationMenuCaption;
  RSHTML32Caption :=             HTML32Caption;
  RSWMLCaption :=                WMLCaption;
  RSXHTMLMPCaption :=            XHTMLMPCaption;
  RSHTML32Hint :=                HTML32Hint;
  RSWMLHint :=                   WMLHint;
  RSXHTMLMPHint :=               XHTMLMPHint;
  RSUnknownClientType :=         UnknownClientType;
  RSCannotShowNonAppForms :=     CannotShowNonAppForms;
  RSCannotHideNonAppForms :=     CannotHideNonAppForms;
  RSCannotReleaseNonAppForms :=  CannotReleaseNonAppForms;
  RSUnknownBrowserType :=        UnknownBrowserType;
  RSMustBeAppForm :=             MustBeAppForm;
  RSWrongIPForSession :=         WrongIPForSession;
  RSWrongBrowserForSession :=    WrongBrowserForSession;
  RSWrongSubnetForSession :=     WrongSubnetForSession;
  RSValidationRequeredField :=   ValidationRequeredField;
  RSInvalidComponentName :=      InvalidComponentName;
  RSDroppedConnection :=         DroppedConnection;
  RSNotFound :=                  NotFound;
//  RSWarningNonIntraWeb :=        WarningNonIntraWeb;
//  RSWarning32Control :=          Warning32Control;
//  RSWarning40Control :=          Warning40Control;
//  RSWarningWAPControl :=         WarningWAPControl;
  RSNoSubmitComponent :=         NoSubmitComponent;
  RSNoSubmitHandler :=           NoSubmitHandler;
  RSInvalidFunction :=           InvalidFunction;
  RSInvalidHeight :=             InvalidHeight;
  RSInvalidWidth :=              InvalidWidth;
  RSIndexOutOfBounds :=          IndexOutOfBounds;
  RSNoServerController :=        NoServerController;
  RSSessionNotFound :=           SessionNotFound;
{$IFDEF D10_}
  RSSessionAlreadyLocked :=      SessionAlreadyLocked;
{$ENDIF}
  RSNotForThisProcess :=         NotForThisProcess;
  RSRefreshWarning :=            RefreshWarning;
  RSResourceNotFound :=          ResourceNotFound;
  RSNoMainForm :=                NoMainForm;
  RSDeviceNotSupported :=        DEviceNotSupported;
  RSNoServerControllerClass :=   NoServerControllerClass;
{$IFDEF D10_}
  RSIWInitMissing :=             IWInitMissing; 
{$ENDIF}
  RSUnknownSessionMethod :=      UnknownSessionMethod;
  RSInvalidBrowser :=            InvalidBrowser;
  RSNoJSSupport :=               NoJSSupport;
  RSMessageDialog :=             MessageDialog;
  RSColorRed :=                  ColorRed;
  RSColorBlue :=                 ColorBlue;
  RSColorGreen :=                ColorGreen;
  RSColorYellow :=               ColorYellow;
  RSColorBrown :=                ColorBrown;
  RSTextError :=                 TextError;
  RSCannotReceiveFocus :=        CannotReceiveFocus;
  RSErrorCreatingSession :=      ErrorCreatingSession;
  RSPermissionDenied :=          PermissionDenied;
  RSUnknowBrowser :=             UnknowBrowser;
  RSIE :=                        IE;
  RSNS6Gecko :=                  NS6Gecko;
  RSNS7Gecko :=                  NS7Gecko;
  RSSafari :=                    Safari;
  RSOpera :=                     Opera;
  RSNS4 :=                       NS4;
  RSOther :=                     Other;
  RSHTML32Test :=                HTML32Test;
  RSWMLTest :=                   WMLTest;
  RSWAP :=                       WAP;
  RSXHTMLMPTest :=               XHTMLMPTest;
  RSUnrecognizable :=            Unrecognizable;
  RSNoCookieSupport :=           NoCookieSupport;

  RSCantFindInternalFile :=      CantFindInternalFile;
  RSExecuteError :=              ExecuteError;

  RSIWVersion :=                 IWVersion;
  RSHTTPPort :=                  HTTPPort;
  RSHTTPSPort :=                 HTTPSPort;
  RSBindError :=                 BindError;
  RSLicenseNumber :=             LicenseNumber;

  RSbtnNameFirst :=              btnNameFirst;
  RSbtnNamePrior :=              btnNamePrior;
  RSbtnNameNext :=               btnNameNext;
  RSbtnNameLast :=               btnNameLast;
  RSbtnNameInsert :=             btnNameInsert;
  RSbtnNameDelete :=             btnNameDelete;
  RSbtnNameEdit :=               btnNameEdit;
  RSbtnNamePost :=               btnNamePost;
  RSbtnNameCancel :=             btnNameCancel;
  RSbtnNameRefresh :=            btnNameRefresh;

  RSUnsupportedFieldType :=      UnsupportedFieldType;
  RSNoRefereshWhileInEdit :=     NoRefereshWhileInEdit;
  RSInvalidResponse :=           InvalidResponse;
  RSDeleteMessage :=             DeleteMessage;
  RSUpdateMessage :=             UpdateMessage;
  RSCancelMessage :=             CancelMessage;

  RSInvalidSessionTimeout := InvalidSessionTimeout;
  RSEmptyWorkAreaPath :=         EmptyWorkAreaPath;
  RSFormPreviewError :=          FormPreviewError;
  RSHTMLEditorError :=           HTMLEditorError;
  RSIE55OrLater :=               IE55OrLater;
  RSScriptEditorCaption :=       ScriptEditorCaption;
  RSScriptEditorEvent :=         ScriptEditorEvent;
  RSScriptEditorCode :=          ScriptEditorCode;  
  RSOKButton :=                  OKButton;
  RSCancelButton :=              CancelButton;
  RSApplyButton :=               ApplyButton;

  RSNewRoot :=                   NewRoot;
  RSNewItem :=                   NewItem;
  RSDeleteItem :=                DeleteItem;
  RSEditCaption :=               EditCaption;
  RSMsgDeleteItem :=             MsgDeleteItem;

  RSApacheDSOError :=            ApacheDSOError;
  RSISAPIError :=                ISAPIError;
  RSStandaloneError :=           StandaloneError;
  RSAuthFailed :=                AuthFailed;
  RSToolBarError :=              ToolBarError;
  RSRedirecting :=               Redirecting;

  RSCanUseIWControlOnVCLForm :=  CanUseIWControlOnVCLForm;
  RS4On32Form :=                 No4On32Form;
  RS32On4Form :=                 No32On4Form;

  RSDublicateEventHandler :=     DublicateEventHandler;
  RSMetaFileNotSupported :=      MetaFileNotSupported;
  RSLoadImageError :=            LoadImageError;
  RSUnrecognizedCommand :=       UnrecognizedCommand;
  RSLayoutMgrNeeded32 :=         LayoutMgrNeeded32;

  RSLogExecute :=                LogExecute;
  RSLogCacheFile :=              LogCacheFile;
  RSLogInternalGraphic :=        LogInternalGraphic;
  RSLogJavaScript :=             LogJavaScript;
  RSLogNewSession :=             LogNewSession;
  RSLogExternalFile :=           LogExternalFile;
  RSLogExplicitStop :=           LogExplicitStop;
  RSLogUnrecognizedCommand :=    LogUnrecognizedCommand;
  RSLogActiveSessions :=         LogActiveSessions;

  RSClearSessionsCaption :=      ClearSessionsCaption;
  RSClearSessionsHint :=         ClearSessionsHint;
  RSCopyClipboardCaption :=      CopyClipboardCaption;
  RSCopyClipboardHint :=         CopyClipboardHint;
  RSShowDebugInfoCaption :=      ShowDebugInfoCaption;
  RSShowDebugInfoHint :=         ShowDebugInfoHint;
  RSExitCaption :=               ExitCaption;
  RSExitHint :=                  ExitHint;
  RSExecuteCaption :=            ExecuteCaption;
  RSExecuteHint :=               ExecuteHint;
  RSExecuteDefaultCaption :=     ExecuteDefaultCaption;
  RSExecuteDefaultHint :=        ExecuteDefaultHint;
  RSExecuteIECaption :=          ExecuteIECaption;
  RSExecuteIEHint :=             ExecuteIEHint;
  RSExecuteMozillaCaption :=     ExecuteMozillaCaption;
  RSExecuteMozillaHint :=        ExecuteMozillaHint;
  RSExecuteFirefoxCaption :=     ExecuteFirefoxCaption;
  RSExecuteFirefoxHint :=        ExecuteFirefoxHint;
  RSExecuteNS6Caption :=         ExecuteNS6Caption;
  RSExecuteNS6Hint :=            ExecuteNS6Hint;
  RSExecuteOperaCaption :=       ExecuteOperaCaption;
  RSExecuteOperaHint :=          ExecuteOperaHint;
  RSUseSSLCaption :=             UseSSLCaption;
  RSUseSSLHint :=                UseSSLHint;
  RSParamCaption :=              ParamCaption;
  RSParamHint :=                 ParamHint;
  RSAboutCaption :=              AboutCaption;
  RSAboutHint :=                 AboutHint;
  RSFileMenuCaption :=           FileMenuCaption;
  RSRunMenuCaption :=            RunMenuCaption;
  RSSelectBrowserCaption :=      SelectBrowserCaption;
  RSHelpCaption :=               HelpCaption;
  RSToolBarCaption :=            ToolBarCaption;
  RSUseParamQueryTitle :=        UseParamQueryTitle;
  RSUseParamQueryPrompt :=       UseParamQueryPrompt;
  RSCanSetControlToSelf :=       CanSetControlToSelf;
  RSSelectionRequired :=         SelectionRequired;
  RSConnectionSpeedCaption :=    ConnectionSpeedCaption;
  RSIncorrectSpeed :=            IncorrectSpeed;
  RSSimulSpeed :=                SimulSpeed;
  RSConnectionSpeed :=           ConnectionSpeed;

  RSZLibNotFound :=              ZLibNotFound;
  RSWrongZLibVer :=              WrongZLibVer;

  RSToday :=                     Today;
  RSPrevious :=                  Previous;
  RSNext :=                      Next;
  rsEditHTML :=                  EditHTML;
  rsPreviewHTML :=               PreviewHTML;

  RSLogResizeCommand := LogResizeCommand;
  RSLogUpdateCommand := LogUpdateCommand;

  RSInvalidTimeEditFormat := InvalidTimeEditFormat;
  RSMissingContainerOnFrame := MissingContainerOnFrame;

  RSLogTotalBytes := LogTotalBytes;

  RSLogCSSRequest := LogCSSRequest;

  RSExceptionSessionExpired := ExceptionSessionExpired;
  RSExceptionOther := ExceptionOther;

{$IFDEF D10_}
  RSTrappedException := TrappedException;
{$ENDIF}

end.
