{ $HDR$}
{**********************************************************************}
{ Unit archived using Team Coherence                                   }
{ Team Coherence is Copyright 2002 by Quality Software Components      }
{                                                                      }
{ For further information / comments, visit our WEB site at            }
{ http://www.TeamCoherence.com                                         }
{                                                                      }
{ : 2001-2008 PoleSoft Technologies Group                   }
{              http://www.polesoft.ru                                  }
{**********************************************************************}
{}
{ $Log:  11932: IdDsnCoreResourceStrings.pas
{
{   Rev 1.5    1/29/2004 8:54:30 AM  JPMugaas
{ Removed myself from the distribution Team Chairperson entry as I am resigning
{ from that role.
}
{
    Rev 1.4    10/15/2003 10:11:46 PM  DSiders
  Added resource string for About box credits.
  Corrected spelling error in comments.
}
{
{   Rev 1.3    6/16/2003 12:01:44 PM  JPMugaas
{ Updated copyright to say 2003.
}
{
{   Rev 1.2    6/8/2003 05:46:58 AM  JPMugaas
{ The kitchen sink has now been implemented.
}
{
{   Rev 1.1    1/15/2003 08:03:56 AM  JPMugaas
{ Updated with new website address.
}
{
{   Rev 1.0    11/13/2002 08:43:24 AM  JPMugaas
}
unit IdDsnCoreResourceStrings;
{
Note:  This unit is for resource strings that are used in the Core Design-Time package
and NOT any design-time packages.  This is to prevent design-time resource strings
from being linked into the Run-Time only package.
}
interface

const
  IndyPitCrew = 'Kudzu (Chad Z. Hower)'#13#10
   + ''#13#10
   + 'Indy Pit Crew';

resourcestring
  { About Box stuff }
  RSAAboutFormCaption = ' Indy';
  RSAAboutBoxCompName = 'Internet Direct (Indy)';
  RSAAboutMenuItemName = ' Internet &Direct (Indy) %s...';

  RSAAboutBoxVersion = ' %s';
  RSAAboutBoxCopyright = 'Copyright (c) 1993 - 2003'#13#10
   + IndyPitCrew;

  RSAAboutBoxPleaseVisit = '     , :';
  RSAAboutBoxIndyWebsite = 'http://www.indyproject.org/';    {Do not Localize}

  RSAAboutCreditsCoordinator = ' ';
  RSAAboutCreditsCoCordinator = ' ';
  RSAAboutCreditsDocumentation = ' ';
  RSAAboutCreditsDemos = ' ';
  RSAAboutCreditsRetiredPast = '/ ';
  RSAAboutCreditsIndyCrew = ' Indy';

  RSAAboutKitchenSink = IndyPitCrew+#10#13+''#10#13'Kitchen Sink';

  {Binding Editor stuff}
  {
  Note to translators - Please Read!!!

  For all the constants except RSBindingFormCaption, there may be an
  & symbol before a letter or number.  This is rendered as that character being
  underlined.  In addition, the character after the & symbol along with the ALT
  key enables a user to move to that control.  Since these are on one form, be
  careful to ensure that the same letter or number does not have a & before it
  in more than one string, otherwise an ALT key sequence will be broken.
  }
  RSBindingFormCaption = ' ';
  RSBindingNewCaption  = '&';
  RSBindingDeleteCaption = '&';
  //RSBindingAddCaption = '&';
  RSBindingRemoveCaption = '&';
  RSBindingLabelBindings = '&';
  RSBindingHostnameLabel = '&IP ';
  RSBindingPortLabel = '&';
  RSBindingIPVerLabel = 'IP &';
  RSBindingIPV4Item = 'IPv&4 (127.0.0.1)';
  RSBindingIPV6Item = 'IPv&6 (::1)';
  {Design time SASLList Hints}
  RSADlgSLMoveUp = '';
  RSADlgSLMoveDown = '';
  RSADlgSLAdd = '';
  RSADlgSLRemove = '';
  //Caption that uses format with component name
  RSADlgSLCaption = '  SASL  %s';
  RSADlgSLAvailable = '&';
  RSADlgSLAssigned = '& (   )';
  {Note that the Ampersand indicates an ALT keyboard sequence}
  RSADlgSLEditList = ' &';
  //Display item constants
  RSBindingAll = ''; //all IP addresses
  RSBindingAny = ''; //any port

  {Standard dialog stock strings}
  RSOk       = 'OK';
  RSCancel   = '';
  RSHelp     = '&';

    // IdRegister
  RSRegIndyClients = 'Indy Clients';
  RSRegIndyServers = 'Indy Servers';
  RSRegIndyIntercepts = 'Indy Intercepts';
  RSRegIndyIOHandlers = 'Indy I/O Handlers';
  RSRegIndyMisc = 'Indy Misc';

implementation

end.
