{
  $Project$
  $Workfile$
  $Revision$
  $DateUTC$
  $Id$

  This file is part of the Indy (Internet Direct) project, and is offered
  under the dual-licensing agreement described on the Indy website.
  (http://www.indyproject.org/)

  Copyright:
   (c) 1993-2005, Chad Z. Hower and the Indy Pit Crew. All rights reserved.
}
{
  $Log$
}
{
{   Rev 1.2    2004.05.20 11:38:10 AM  czhower
{ IdStreamVCL
}
{
{   Rev 1.1    2004.02.03 3:15:54 PM  czhower
{ Updates to move to System.
}
{
{   Rev 1.0    2004.02.03 2:36:04 PM  czhower
{ Move
}
{  : 2001-2008 PoleSoft Technologies Group                         }
{               http://www.polesoft.ru                                        }

unit IdResourceStrings;

interface

resourcestring
  //IdSys
   RSFailedTimeZoneInfo = '       .';
  // Winsock
  RSWinsockCallError = '   %s  Winsock2';
  RSWinsockLoadError = '   Winsock2 (%s)';
  RSWinsockInitializationError = '  Winsock.';
  // Status
  RSStatusResolving = '  %s.';
  RSStatusConnecting = '  %s.';
  RSStatusConnected = '.';
  RSStatusDisconnecting = '.';
  RSStatusDisconnected = '.';
  RSStatusText = '%s';
  // Stack
  RSStackError = '  # %d' + #13#10 + '%s';
  RSStackEINTR = '  .';
  RSStackEBADF = '  .';
  RSStackEACCES = '  .';
  RSStackEFAULT = ' .';
  RSStackEINVAL = ' .';
  RSStackEMFILE = '   .';
  RSStackEWOULDBLOCK = 'Operation would block. ';
  RSStackEINPROGRESS = '  .';
  RSStackEALREADY = '  .';
  RSStackENOTSOCK = '-   .';
  RSStackEDESTADDRREQ = '  .';
  RSStackEMSGSIZE = '  .';
  RSStackEPROTOTYPE = '    .';
  RSStackENOPROTOOPT = '  .';
  RSStackEPROTONOSUPPORT = '  .';
  RSStackESOCKTNOSUPPORT = '   .';
  RSStackEOPNOTSUPP = '    .';
  RSStackEPFNOSUPPORT = '   .';
  RSStackEAFNOSUPPORT = '     .';
  RSStackEADDRINUSE = '  .';
  RSStackEADDRNOTAVAIL = '    .';
  RSStackENETDOWN = '  .';
  RSStackENETUNREACH = ' .';
  RSStackENETRESET = '  .';
  RSStackECONNABORTED = '      .';
  RSStackECONNRESET = '  by peer.';
  RSStackENOBUFS = '    .';
  RSStackEISCONN = '  .';
  RSStackENOTCONN = '  .';
  RSStackESHUTDOWN = '       .';
  RSStackETOOMANYREFS = '  ,   .';
  RSStackETIMEDOUT = '  .';
  RSStackECONNREFUSED = ' .';
  RSStackELOOP = '    .';
  RSStackENAMETOOLONG = '   .';
  RSStackEHOSTDOWN = '  .';
  RSStackEHOSTUNREACH = '   .';
  RSStackENOTEMPTY = '  ';
  RSStackHOST_NOT_FOUND = '  .';
  RSStackTRY_AGAIN = '  (     DNS).';
  RSStackNO_RECOVERY = ' : FORMERR, REFUSED, NOTIMP.';
  RSStackNO_DATA = ' ,    (  DNS).';
  RSStackNotSupportedOnLinux = 'Non-blocking    Linux';
  RSStackClassUndefined = 'Stack   .';
  RSStackAlreadyCreated = '  .';
  // Other
  RSAntiFreezeOnlyOne = '      TIdAntiFreeze.';
  RSCannotSetIPVersionWhenConnected = '   IPVersion,  ';
  RSCannotBindRange = '      (%d - %d)';
  RSConnectionClosedGracefully = '  .';
  RSCorruptServicesFile = '%s .';
  RSCouldNotBindSocket = '   .     .';
  RSInvalidPortRange = '   (%d - %d)';
  RSInvalidServiceName = '%s -  .';
  RSIPv6Unavailable = 'IPv6 ';
  RSInvalidIPv6Address = '%s -  IPv6 ';
  RSIPVersionUnsupported = ' IPVersion /    .';
  RSNotAllBytesSent = '   .';
  RSPackageSizeTooBig = '   .';
  RSSetSizeExceeded = '  .';
  RSStreamNotEnoughBytes = '     .';
  RSEndOfStream = ' :  %s   %d';

implementation

end.
