{ *********************************************************************** }
{                                                                         }
{ Delphi Visual Component Library                                         }
{                                                                         }
{ Copyright (c) 1997-2004 Borland Software Corporation                    }
{                                                                         }
{ : 2008 PoleSoft Technologies Group                      	  }
{              http://www.polesoft.ru                                     }
{ *********************************************************************** }

unit Borland.Vcl.MidConst;

interface

const
{ Do not localize }
  MIDAS_CatDesc = 'Borland DataSnap Application Servers';
  CATID_MIDASAppServer = '{13E85B3C-9508-11D2-AB63-00C04FA35CFA}';
  MIDASInterceptor_CatDesc = 'Borland DataSnap Application Servers';
  CATID_MIDASInterceptor = '{6BFD12F2-7004-11D4-BE3C-0001023E6E0F}';
  SCatImplBaseKey = '%s\Implemented Categories';
  SCatImplKey = SCatImplBaseKey + '\%s';
  MIDAS_DLL = 'MIDAS.DLL';
  SClsid = 'CLSID\';
  SPooled = 'Pooled';
  SMaxObjects = 'MaxObjects';
  STimeout = 'Timeout';
  SSingleton = 'Singleton';
  SSockets = 'Sockets';
  SWeb = 'Web';
  SFlagOn = '1';
  SFlagOff = '0';
  MINDATAPACKETSIZE = 8;   
  SMidasLib = 'midas.dll';

resourcestring
  { App Server }
  SProviderNotExported = '  : %s';

  { DBClient }
  SNoDataProvider = '     ';
  SInvalidDataPacket = '  ';
  SRefreshError = '     ';
  SProviderInvalid = ' .     ';
  SServerNameBlank = '  , %s    ServerName  ServerGUID';
  SRepositoryIdBlank = '  , %s    repository id';
  SAggsGroupingLevel = '      ';
  SAggsNoSuchLevel = '   ';
  SNoCircularReference = '    ';
  SErrorLoadingMidas = '  MIDAS.DLL';
  SCannotCreateDataSet = '  .       (dataset)';
  SInvalidClone = ' CloneConnection:   ClientDataSet';
  SCDSDlgOpenCaption = '  MyBase';
  SNoConnectToBroker = '  TConnectionBroker  ';

  { MConnect }
  SSocketReadError = '   ';
  SInvalidProviderName = '  "%s"   ';
  SBadVariantType = '  : %s';
  SInvalidAction = '   (action): %d';
  SNoParentConnection = 'ParentConnection  ';
  SBlankChildName = 'ChildName    ';

  { Resolver }
  SInvalidResponse = ' ';
  SRecordNotFound = '  ';
  STooManyRecordsModified = ' (Update)   1 .';

  { Provider }
  SInvalidOptParamType = '       ';
  SMissingDataSet = '  DataSet';
  SConstraintFailed = '     (constraint)  .';
  SField = 'Field';
  SReadOnlyProvider = '     ReadOnly ';
  SNoKeySpecified = '   .    ';
  SNoDataSets = '    ,       ';
  SRecConstFail = ' record constraint     "%s"';
  SFieldConstFail = ' field constraint     "%s"';
  SDefExprFail = ' default expression     "%s"';
  SArrayElementError = '   %s  '; 
  SNoTableName = '   .     .';
  SNoEditsAllowed = '  ';
  SNoDeletesAllowed = '  ';
  SNoInsertsAllowed = ' (inserts)  ';
  SCannotChangeCommandText = ' CommandText  ';
  SAggregatesActive = '     aggregates';

  { ObjectBroker }
  SNoServers = '  ';

  { ConnectionBroker }

  SConnectionMissing = ' Connection  ';
  SNoCircularConnection = '   Connection  ';
  
  { Socket Connection }
  SReturnError = '    ';
  SNoWinSock2 = '   WinSock 2   socket ';

  { Web Connection }
  SURLRequired = ' URL';
  SDefaultURL = 'http://server.company.com/scripts/httpsrvr.dll';
  SInvalidURL = 'URL     "http://server.company.com/scripts/httpsrvr.dll"';
  SServerIsBusy = ' ';

  SObjectNotAvailable = '  : %s';

  { SuperComponents }
  SMasterNotOpen = '   detail ,  master ';

implementation

end.
