{ *********************************************************************** }
{                                                                         }
{ Delphi Visual Component Library                                         }
{                                                                         }
{ Copyright (c) 1995-2004 Borland Software Corporation                    }
{                                                                         }
{ : 2008 PoleSoft Technologies Group                      	  }
{              http://www.polesoft.ru                                     }
{ *********************************************************************** }

unit Borland.Vcl.SysConst;

interface

resourcestring
  SUnknown = '<>';
  SInvalidInteger = '''%s'' -   ';
  SInvalidFloat = '''%s'' -   ';
  SInvalidCurrency = '''%s'' -   ';
  SInvalidDate = '''%s'' -  ';
  SInvalidTime = '''%s'' -  ';
  SInvalidDateTime = '''%s'' -    ';
  SInvalidDateTimeFloat = '''%g'' -    ';
  SInvalidTimeStamp = '''%d.%d'' -     (timestamp)';
  SInvalidGUID = '''%s'' -   GUID';
  SInvalidBoolean = '''%s'' -   ';
  STimeEncodeError = '    ';
  SDateEncodeError = '    ';
  SOutOfMemory = '  ';
  SInOutError = ' / %d';
  SFileNotFound = '  ';
  SInvalidFilename = '  ';
  STooManyOpenFiles = '   ';
  SAccessDenied = '    ';
  SEndOfFile = '   ';
  SDiskFull = ' ';
  SInvalidInput = '  ';
  SDivByZero = '  ';
  SRangeError = '    (Range check)';
  SIntOverflow = ' ';
  SInvalidOp = '    ';
  SZeroDivide = '   ';
  SOverflow = ' ';
  SUnderflow = '  (underflow)';
  SInvalidPointer = '   ';
  SInvalidCast = '  ';
  SAccessViolationArg3 = '    %p. %s   %p';
  SAccessViolationNoArg = ' ';
  SStackOverflow = ' ';
  SControlC = ' Control-C';
  SQuit = '  ';
  SPrivilege = ' ';
  SOperationAborted = ' ';
  SException = '  %s   %s   %p.' + sLineBreak + '%s%s' + sLineBreak;
  SExceptTitle = ' ';
  SInvalidFormat = ' ''%s''     ';
  SArgumentMissing = '    ''%s''';
  SDispatchError = '    ';
  SReadAccess = '';
  SWriteAccess = '';
  SResultTooLong = '  ,  4096 ';
  SFormatTooLong = '   ';

  SVarArrayCreate = '    safe ';
  SVarArrayBounds = '   safe    ';
  SVarArrayLocked = '  safe  ';
  SVarArrayWithHResult = '    safe : %s%.8x';

  SVariantInvalidOpOn1 = '     %s';
  SVariantInvalidOpOn2 = '     %s  %s';
  SVariantInvalidOpXOn1 = '   (%s)   %s  %s';
  SVariantInvalidOpXOn2 = '   (%s)   %s  %s';
  SVariantInvalidInvoke = '   (%s)   %s';
  SVariantInvalidVarType = '   (0x%.4x)';
  SVariantTypeCastOn = '     %s';
  SVariantTypeCastTo = '     %s  %s';
  SVariantArrayCreateErrorIllegalBounds = '       ';
  SVariantArrayInvalidDim = '    (%d)';

  SInvalidVarCast = '   ';
  SInvalidVarOp = '   ';
  SInvalidVarNullOp = '   NULL  (%s)';
  SVarTypeRangeCheck1 = '    (range check)    (%s)';
  SVarTypeRangeCheck2 = '    (range check)     (%s)   (%s)';
  SVarTypeTooManyCustom = ' c    ';

  // the following are not used anymore
  SVarTypeCouldNotConvert = 'Could not convert %s variant into %s';
  SVarTypeConvertOverflow1 = 'Overflow while converting %s variant';
  SVarTypeConvertOverflow2 = 'Overflow while converting %s variant into %s';
  SVarOverflow = 'Variant overflow';
  SVarInvalid = 'Invalid argument';
  SVarBadType = 'Invalid variant type';
  SVarNotImplemented = 'Operation not supported';
  SVarOutOfMemory = 'Variant operation ran out memory';
  SVarUnexpected = 'Unexpected variant error';
  SVarDataClearRecursing = 'Recursion while doing a VarDataClear';
  SVarDataCopyRecursing = 'Recursion while doing a VarDataCopy';
  SVarDataCopyNoIndRecursing = 'Recursion while doing a VarDataCopyNoInd';
  SVarDataInitRecursing = 'Recursion while doing a VarDataInit';
  SVarDataCastToRecursing = 'Recursion while doing a VarDataCastTo';
  SVarIsEmpty = 'Variant is empty';

  SInvalidVarOpWithHResultWithPrefix = '    (%s%.8x)'#10'%s';
  SVarTypeOutOfRangeWithPrefix = '   (%s%.4x)   ';
  SVarTypeAlreadyUsedWithPrefix = '   (%s%.4x)   %s';
  SVarTypeNotUsableWithPrefix = '   (%s%.4x)  ';

  { The following are no longer used, see suggested alternative string resource
  SVarTypeConvertOverflow =  SVarTypeConvertOverflow2 deprecated;
  SVarNotArray =             SVarInvalid deprecated;
  SVarTypeUnknown =          SVarTypeNotUsableWithPrefix deprecated;
  SVarTypeOutOfRange =       SVarTypeOutOfRangeWithPrefix deprecated;
  SVarTypeAlreadyUsed =      SVarTypeAlreadyUsedWithPrefix deprecated;
  SVarTypeNotUsable =        SVarTypeNotUsableWithPrefix deprecated;
  SInvalidVarOpWithHResult = SInvalidVarOpWithHResultWithPrefix deprecated;
  SVarTypeTooManyCustom =    SVarTypeTooManyCustomTypes deprecated;}

  sUnknownFromType = '     ';
  sUnknownToType = '     ';
  SExternalException = '   %x';
  SAssertionFailed = 'Assertion failed';
  SIntfCastError = '  ';
  SSafecallException = '   safecall ';
  SAssertError = '%s (%s,  %d)';
  SAbstractError = ' ';
  SModuleAccessViolation = '    %p   ''%s''. %s   %p';
  SCannotReadPackageInfo = '       ''%s''';
  sErrorLoadingPackage = '    %s.'+sLineBreak+'%s';
  SInvalidPackageFile = '   ''%s''';
  SInvalidPackageHandle = '  ';
  SDuplicatePackageUnit = '    ''%s''.     ''%s''' +
    ',      ''%s''';
  SOSError = ' .  : %d.'+sLineBreak+'%s';
  SUnkOSError = '    ';
  SWin32Error = ' Win32.  : %d.'#10'%s' deprecated; // use SOSError
  SUnkWin32Error = '  Win32 API' deprecated; // use SUnkOSError
  SNL = '       ';

  SShortMonthNameJan = '';
  SShortMonthNameFeb = '';
  SShortMonthNameMar = '';
  SShortMonthNameApr = '';
  SShortMonthNameMay = '';
  SShortMonthNameJun = '';
  SShortMonthNameJul = '';
  SShortMonthNameAug = '';
  SShortMonthNameSep = '';
  SShortMonthNameOct = '';
  SShortMonthNameNov = '';
  SShortMonthNameDec = '';

  SLongMonthNameJan = '';
  SLongMonthNameFeb = '';
  SLongMonthNameMar = '';
  SLongMonthNameApr = '';
  SLongMonthNameMay = '';
  SLongMonthNameJun = '';
  SLongMonthNameJul = '';
  SLongMonthNameAug = '';
  SLongMonthNameSep = '';
  SLongMonthNameOct = '';
  SLongMonthNameNov = '';
  SLongMonthNameDec = '';

  SShortDayNameSun = '';
  SShortDayNameMon = '';
  SShortDayNameTue = '';
  SShortDayNameWed = '';
  SShortDayNameThu = '';
  SShortDayNameFri = '';
  SShortDayNameSat = '';

  SLongDayNameSun = '';
  SLongDayNameMon = '';
  SLongDayNameTue = '';
  SLongDayNameWed = '';
  SLongDayNameThu = '';
  SLongDayNameFri = '';
  SLongDayNameSat = '';

  SCannotCreateDir = '  ';
  SCodesetConversionError = '  codeset';

  // Added in VCL.NET
  SThreadingModel = ' (threading)  ( %sThreadAttribute)';
  SNonstandardException = '  %s';

  SInvalidTypeConversion = '  ';

implementation

end.
